Package org.bukkit.block.data.type

# Enum Class Door.Hinge

java.lang.Object
java.lang.Enum<Door.Hinge>
org.bukkit.block.data.type.Door.Hinge

All Implemented Interfaces:
  `Serializable`, `Comparable<Door.Hinge>`, `Constable`

Enclosing interface:
  Door

public static enum Door.Hinge extends Enum<Door.Hinge>
The hinge of a door.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEFT`
Door is attached to the left side.
`RIGHT`
Door is attached to the right side.

## Method Summary

Modifier and Type
Method
Description
`static Door.Hinge`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Door.Hinge[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT

public static final Door.Hinge LEFT
Door is attached to the left side.

### RIGHT

public static final Door.Hinge RIGHT
Door is attached to the right side.

## Method Details

### values

public static Door.Hinge[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Door.Hinge valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null